{
  stdenv,
  buildGoModule,
  fetchFromGitHub,
  lib,
}:
buildGoModule rec {
  pname = "lanshare";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "j-jzk";
    repo = "lanshare";
    rev = "v${version}";
    hash = "sha256-NdOjia2snKiIj/Urz1QxZ81G35T/onVD7+DzT9dBvmE=";
  };

  ldflags = [ "-s -w" ];

  vendorHash = "sha256-mDTSoN5evVwpGJePjwvwoOcaP9YwByjpe0VGVbme22U=";

  meta = {
    description = "Quickly share files on the LAN";
    homepage = "https://github.com/j-jzk/lanshare";
    license = lib.licenses.bsd3;
  };
}
